@use "@angular/material" as mat;
@include mat.core();
@import "./colors.scss";

/*
 * Application global variables.
 */

// Angular Material custom theme
// See https://material.angular.io/guide/theming for more details.
// You can also read https://medium.com/@tomastrajan/the-complete-guide-to-angular-material-themes-4d165a9d24d1
// for more insight about Angular Material theming.
// @import "~@angular/material/theming";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue.
$app-primary: mat.define-palette($mat-primary, 500, 200);
// stylelint-disable-next-line value-keyword-case
$app-accent: mat.define-palette($mat-accent, 800);
// The "warn" palette is optional and defaults to red if not specified.
$app-warn: mat.define-palette(mat.$red-palette);
// Create the theme object (a Sass map containing all of the palettes).
$app-theme: mat.define-light-theme(
  (
    color: (
      primary: $app-primary,
      accent: $app-accent,
      warn: $app-warn,
    ),
  )
);
// Material design icons font path
$material-design-icons-font-directory-path: "~material-design-icons-iconfont/dist/fonts/";
// @include mat.all-component-themes($app-theme);
